import 'dart:convert';

import 'package:ecom_widgets/models/firebase_token.dart';
import 'package:ecom_widgets/services/dio_service.dart';
import 'package:flutter/services.dart';

class FirebaseTokenService {
  DioService dioService = DioService();

  getAllTokens(List<FirebaseToken> products) async {
    final response = await dioService.postData("token/all", {});
    if (response != null) {
      response.map((productJson) {
        products.add(FirebaseToken.fromJson(productJson));
      }).toList();
      return;
    }
  }

  createFirebaseToken(FirebaseToken token) async {
    final response = await dioService.postData("token/new", token.toJson());

    if (response != null) {
      print(response);
      // return FirebaseToken.fromJson(response);
    } else {
      // return FirebaseToken.fromJson({});
    }
    return response;
  }
}
