String? phoneNumberValidator(String? value) {
  print(value);
  if (value == null || value.isEmpty) {
    return 'Please Enter Phone number';
  }
  // return value;
  // validate if it can be converted to number
  try {
    int.parse(value);
  } catch (e) {
    return 'Phone number must be numeric';
  }

  return null;
}

String? numberValidator(String? value) {
  // validate if it can be converted to number

  if (value == null || value.isEmpty) {
    return 'Please Enter a number';
  }

  try {
    int.parse(value);
  } catch (e) {
    return 'Must be numeric';
  }

  return null;
}

String? nonEmptyValidator(String? value) {
  // validate if it can be converted to number
  if (value == null || value.isEmpty || value.trim().isEmpty) {
    return 'Please do not leave this field blank';
  }

  return null;
}

String? emailValidator(String? value) {
  // validate if it can be converted to number
  if (value == null || value.isEmpty) {
    return 'Please do not leave this field blank';
  }
  bool emailValid = RegExp(
          r"^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,253}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,253}[a-zA-Z0-9])?)*$")
      .hasMatch(value);

  if (emailValid) {
    return null;
  } else {
    return 'Please enter a valid email';
  }
}
