import 'package:ecom_widgets/services/auth_service.dart';
import 'package:flutter/material.dart';
import 'package:flutter/scheduler.dart';

class SignOut extends StatefulWidget {
  const SignOut({Key? key}) : super(key: key);

  @override
  _SignOutState createState() => _SignOutState();
}

class _SignOutState extends State<SignOut> {
  @override
  void initState() {
    super.initState();

    SchedulerBinding.instance?.addPostFrameCallback((_) {
      AuthService().signOutUser();
      Navigator.pushNamed(context, "/");
    });
  }

  @override
  Widget build(BuildContext context) {
    // Navigator.popUntil(context, (route) => false);
    // Navigator.pushNamed(context, "/");
    return Scaffold(
      body: Center(
        child: Text("Signing out, please wait..."),
      ),
    );
  }
}
